#!/usr/local/bin/wish

set font "*-fixed-bold-r-normal--13-*"
option add *Font $font startup

wm title . "Linux AWE MOD Player 0.2"

frame .control
pack .control -side top
button .control.start -text Start -command StartPlay
button .control.stop -text Stop -command StopPlay
button .control.quit -text Quit -command Quitter
pack .control.start .control.stop .control.quit -side left

# Fenetre des echantillons
toplevel .s
wm title .s Samples
frame .s.f
pack .s.f -side top
listbox .s.f.l -width 34 -height 15 -yscrollcommand ".s.f.s set"
scrollbar .s.f.s -command ".s.f.l yview"
pack .s.f.l .s.f.s -side left -fill y -expand 1

# Fenetre des canaux
toplevel .p

set col ".."
set heure "00:00"
set row "../.."
set pattern ".."
set bpm "125"

frame .p.f1
frame .p.f1.sf1 -relief ridge -borderwidth 2
label .p.f1.sf1.l1 -text "COL="
label .p.f1.sf1.l2 -textvariable col -padx 0
label .p.f1.sf1.l3 -text "/63"

pack .p.f1.sf1.l1 .p.f1.sf1.l2 .p.f1.sf1.l3 -side left

frame .p.f1.sf2  -relief ridge -borderwidth 2
label .p.f1.sf2.l1 -text ROW=
label .p.f1.sf2.l2 -textvariable row
label .p.f1.sf2.l3 -text Pattern:
label .p.f1.sf2.l4 -textvariable pattern
pack .p.f1.sf2.l1 .p.f1.sf2.l2 .p.f1.sf2.l3 .p.f1.sf2.l4 -side left

frame .p.f1.sf3 -relief ridge -borderwidth 2 
label .p.f1.sf3.l1 -text Tempo:
label .p.f1.sf3.l2 -textvariable bpm
label .p.f1.sf3.l3 -text BPM
pack .p.f1.sf3.l1 .p.f1.sf3.l2 .p.f1.sf3.l3 -side left

frame .p.f1.sf4 -relief ridge -borderwidth 2 
label .p.f1.sf4.l1 -textvariable type -width 11
pack .p.f1.sf4.l1

frame .p.f1.sf5 -relief ridge -borderwidth 2 
label .p.f1.sf5.time -textvariable heure 
pack .p.f1.sf5.time

pack .p.f1.sf1 .p.f1.sf2 .p.f1.sf3 .p.f1.sf4 -side left 
pack .p.f1.sf5 -side right
frame .p.f2
pack .p.f1 .p.f2 -side top -fill x

proc initlig {nblig} {
    for {set n 0} {$n < $nblig} {incr n} { 
	frame .p.f2.sf$n

	set nl [expr $n + 1]
	label .p.f2.sf$n.l1 -text "$nl:" -width 3 -relief groove
	set nos$n {[  ] ......................}
	label .p.f2.sf$n.l2 -textvariable nos$n -width 27 -relief groove
	label .p.f2.sf$n.l3 -textvariable not$n -width 3 -relief groove
	label .p.f2.sf$n.l4 -textvariable eff$n -width 32 -anchor w -relief groove
	pack .p.f2.sf$n.l1 .p.f2.sf$n.l2 .p.f2.sf$n.l3 .p.f2.sf$n.l4 -side left
	pack .p.f2.sf$n -side top
    }
}

